//KW: last edited on 09-03-2005
//Contains various shader fixes and additions.
//Thanks to the ETpro team for some of these.

//////////////////////////////////////////////////////////////
//Ranks									//
//	Fixes fullbright helmets ranks				//
//////////////////////////////////////////////////////////////
wc/ranks/rank1
{
	{
		map models/players/temperate/common/rank1.tga
		alphaFunc GE128
		rgbGen lightingDiffuse
	}
}
wc/ranks/rank2
{
	{
		map models/players/temperate/common/rank2.tga
		alphaFunc GE128
		rgbGen lightingDiffuse
	}
}
wc/ranks/rank3
{
	{
		map models/players/temperate/common/rank3.tga
		alphaFunc GE128
		rgbGen lightingDiffuse
	}
}
wc/ranks/rank4
{
	{
		map models/players/temperate/common/rank4.tga
		alphaFunc GE128
		rgbGen lightingDiffuse
	}
}
wc/ranks/rank5
{
	{
		map models/players/temperate/common/rank5.tga
		alphaFunc GE128
		rgbGen lightingDiffuse
	}
}
wc/ranks/rank6
{
	{
		map models/players/temperate/common/rank6.tga
		alphaFunc GE128
		rgbGen lightingDiffuse
	}
}
wc/ranks/rank7
{
	{
		map models/players/temperate/common/rank7.tga
		alphaFunc GE128
		rgbGen lightingDiffuse
	}
}
wc/ranks/rank8
{
	{
		map models/players/temperate/common/rank8.tga
		alphaFunc GE128
		rgbGen lightingDiffuse
	}
}
wc/ranks/rank9
{
	{
		map models/players/temperate/common/rank9.tga
		alphaFunc GE128
		rgbGen lightingDiffuse
	}
}
wc/ranks/rank10
{
	{
		map models/players/temperate/common/rank10.tga
		alphaFunc GE128
		rgbGen lightingDiffuse
	}
}
wc/ranks/rank11
{
	{
		map models/players/temperate/common/rank11.tga
		alphaFunc GE128
		rgbGen lightingDiffuse
	}
}

//////////////////////////////////////////////////////////////
//Icons									//
//	Missing shaders for some weapon icons			//
//////////////////////////////////////////////////////////////

icons/iconw_landmine_1_select
{
	nomipmaps
	nopicmip
	{
		map icons/iconw_landmine_1_select.tga
		blendFunc blend
		rgbGen vertex
	}
}

icons/iconw_m1_garand_1_select
{
	nomipmaps
	nopicmip
	{
		map icons/iconw_m1_garand_1_select.tga
		blendFunc blend
		rgbGen vertex
	}
}

icons/iconw_m1_garand_gren_1_select
{
	nomipmaps
	nopicmip
	{
		map icons/iconw_m1_garand_gren_1_select.tga
		blendFunc blend
		rgbGen vertex
	}
}

icons/iconw_kar98_1_select
{
	nomipmaps
	nopicmip
	{
		map icons/iconw_kar98_1_select.tga
		blendFunc blend
		rgbGen vertex
	}
}

icons/iconw_kar98_gren_1_select
{
	nomipmaps
	nopicmip
	{
		map icons/iconw_kar98_gren_1_select.tga
		blendFunc blend
		rgbGen vertex
	}
}

icons/iconw_fg42_1_select
{
	nomipmaps
	nopicmip
	{
		map icons/iconw_fg42_1_select.tga
		blendFunc blend
		rgbGen vertex
	}
}

icons/iconw_mg42_1_select
{
	nomipmaps
	nopicmip
	{
		map icons/iconw_mg42_1_select.tga
		blendFunc blend
		rgbGen vertex
	}
}

icons/iconw_mortar_1_select
{
	nomipmaps
	nopicmip
	{
		map icons/iconw_mortar_1_select.tga
		blendFunc blend
		rgbGen vertex
	}
}

icons/iconw_syringe_1_select
{
	nomipmaps
	nopicmip
	{
		map icons/iconw_syringe_1_select.tga
		blendFunc blend
		rgbGen vertex
	}
}

icons/iconw_syringe2_1_select
{
	nomipmaps
	nopicmip
	{
		map icons/iconw_syringe2_1_select.tga
		blendFunc blend
		rgbGen vertex
	}
}

icons/iconw_binoculars_1_select
{
	nomipmaps
	nopicmip
	{
		map icons/iconw_binoculars_1_select.tga
		blendFunc blend
		rgbGen vertex
	}
}

icons/iconw_satchel_1_select
{
	nomipmaps
	nopicmip
	{
		map icons/iconw_satchel_1_select.tga
		blendFunc blend
		rgbGen vertex
	}
}

icons/iconw_radio_1_select
{
	nomipmaps
	nopicmip
	{
		map icons/iconw_radio_1_select.tga
		blendFunc blend
		rgbGen vertex
	}
}

icons/iconw_silencer_1_select
{
	nomipmaps
	nopicmip
	{
		map icons/iconw_silencer_1_select.tga
		blendFunc blend
		rgbGen vertex
	}
}

//////////////////////////////////////////////////////////////
//Overhead Icons								//
//	Used for uniform floating icons				//
//////////////////////////////////////////////////////////////
sprites/uniform_allied
{
	nocompress
	nopicmip
	{
		map sprites/active_uniform_allied.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}
sprites/uniform_axis
{
	nocompress
	nopicmip
	{
		map sprites/active_uniform_axis.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

//////////////////////////////////////////////////////////////
//Misc shaders								//
//////////////////////////////////////////////////////////////
models/gibs/gibs
{
	{
		map textures/effects/envmap_slate_90.tga
		rgbGen lightingdiffuse
		tcGen environment
	}
	{
		map models/gibs/gibs.jpg
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen lightingdiffuse
	}
}

// LAG ICON
gfx/2d/net
{
	nocompress
	nopicmip
	{
		map gfx/2d/net.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

//PM Dynamite Icon
wc/pm_dynamite
{
	nocompress
	nopicmip
	nomipmaps
	{
		map gfx/limbo/cm_dynamite.tga
		blendfunc blend
		rgbGen vertex
		alphaGen vertex
	}
}

//Machine gun bullet brass
models/weapons2/shells/m_shell
{
	{
		map models/weapons2/shells/M_shell.jpg
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen lightingDiffuse 
	}
	{
		map models/weapons2/shells/M_shell.jpg
		blendFunc GL_ZERO GL_ONE
		rgbGen lightingDiffuse 
	}
}

//FIX: Goldrush bank floor shader was missing, this gives a nice reflection of the roof.
textures/egypt_floor_sd/marblefloor_c04
{
	{
		map textures/goldrush-env.tga
		rgbGen identity
		tcGen environment
		tcMod scale 0.9 0.9
	}
	{
		map textures/egypt_floor_sd/marblefloor_c04.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}
